#!/bin/bash


./src/sscocaller --threads 2 --chrom 6 tests/AAAGTAGCACGTCTCT-1.raw.bam tests/AAAGTAGCACGTCTCT-1.raw.bam.dp3.alt.vcf.gz tests/bcAA.tsv ./tests/tests-

test -e ssshtest || wget -q https://raw.githubusercontent.com/ryanlayer/ssshtest/master/ssshtest 

chmod  755 ssshtest

source ./ssshtest
 
set -o nounset

STOP_ON_FAIL=0

run test_no_stdout diff tests/ccsnp-6_viSegInfoEXP.txt tests/tests-6_viSegInfo.txt
assert_no_stdout  
assert_exit_code $EX_OK

run test_no_stdout diff tests/ccsnp-6_totalCountEXP.mtx tests/tests-6_totalCount.mtx
assert_no_stdout  
assert_exit_code $EX_OK

run test_no_stdout diff tests/ccsnp-6_totalCountEXP.mtx tests/tests-6_totalCountEXP.mtx
assert_no_stdout  
assert_exit_code $EX_ERROR


